View Issue Details

IDProjectCategoryView StatusLast Update
16153Bug reportsSurvey editingpublic2020-05-19 11:49
Reportercdorin Assigned Toollehar  
PriorityhighSeveritycrash 
Status closedResolutionfixed 
Product Version4.1.18 
Summary16153: Random order question attribute - if enabled, no changes/edits can be saved anymore
DescriptionSee: 16046
Steps To Reproduce1. Create a question that uses Random order (e.g. array)
2. Save the question
3. Access the question
4. Do any kind of edit (enable mandatory or add text etc...)
5. Save : error = Question cannot be stored. Please check the answer options for duplicates or empty codes.
TagsNo tags attached.
Complete LimeSurvey version number (& build)latest master
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Relationships

has duplicate 16162 closedcdorin "Please check the answer options for duplicates or empty codes." error shown whe there are no duplicates 

Activities

ollehar

ollehar

2020-04-30 17:26

administrator   ~57503

For us to be able to investigate this issue please attach a 2 question sample survey demonstrating the issue, either as .lss file (survey structure) or (even better) as .lsa file (survey archive).

Just attach it to this issue and we will have a look.
Thank you!
ollehar

ollehar

2020-04-30 17:26

administrator   ~57504

Last edited: 2020-05-15 11:24

Cannot reproduce on latest master.
cdorin

cdorin

2020-04-30 17:35

manager   ~57505

Last edited: 2020-05-15 11:24

cdorin

cdorin

2020-04-30 17:36

manager   ~57506

Last edited: 2020-05-15 11:24

The issue is still there on latest master
result

result

2020-05-13 08:46

reporter   ~57719

Last edited: 2020-05-15 11:24

I can confirm this, the issue is still present in the latest Release 4.2.3+200511. Very annoying bug.
ollehar

ollehar

2020-05-13 11:44

administrator   ~57737

Last edited: 2020-05-15 11:24

I did a fix but I guess it hasn't been tested and merged yet?
ollehar1

ollehar1

2020-05-15 11:22

reporter   ~57827

Last edited: 2020-05-15 11:24

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29967
lime_release_bot

lime_release_bot

2020-05-19 11:49

administrator   ~57908

Fixed in Release 4.2.4+200520

Related Changesets

LimeSurvey: master efe07066

2020-05-15 11:21:40

ollehar1

Details Diff
Fixed issue 16153: Random order question attribute - if enabled, no changes can be saved anymore

Dev: Squashed commit of the following:
Dev: Install requirements to run questioneditor tests (Travis)
Dev: Enable question editor jest tests in Travis
Dev: Rebuild question editor
Dev: Add getter test for PHP array as object (question editor)
Dev: Don't add component to global scope
Dev: Some small jsdoc notes
Dev: Add some more getters tests
Dev: Add some jsdoc to state defintion (question editor)
Dev: Add test for question editor getters
Dev: Disable failing test
Dev: Delete empty jest file
Affected Issues
16153
mod - .travis.yml Diff File
mod - assets/packages/questioneditor/build.min/css/main.css Diff File
mod - assets/packages/questioneditor/build.min/js/questionedit.js Diff File
mod - assets/packages/questioneditor/build.min/js/questionedit.js.map Diff File
mod - assets/packages/questioneditor/build/js/questionedit.js Diff File
mod - assets/packages/questioneditor/build/js/questionedit.js.map Diff File
mod - assets/packages/questioneditor/src/components/subcomponents/_answeroptions.vue Diff File
mod - assets/packages/questioneditor/src/questioneditmain.js Diff File
mod - assets/packages/questioneditor/src/storage/getters.js Diff File
mod - assets/packages/questioneditor/src/storage/state.js Diff File
rm - assets/packages/questioneditor/tests/unit/App.spec.js Diff File
add - assets/packages/questioneditor/tests/unit/getters.spec.js Diff File
mod - assets/packages/questioneditor/tests/unit/questionoverview.spec.js Diff File

Issue History

Date Modified Username Field Change
2020-04-17 20:40 cdorin New Issue
2020-04-17 20:42 cdorin Priority none => urgent
2020-04-17 20:42 cdorin Status new => confirmed
2020-04-17 20:42 cdorin Additional Information Updated View Revisions
2020-04-17 20:42 cdorin Zoho Sprints => |Yes|
2020-04-17 20:42 swendrich Zoho Sprints ID => 14469000000051037
2020-04-17 20:42 cdorin Priority urgent => high
2020-04-17 20:42 cdorin Additional Information Updated View Revisions
2020-04-17 20:42 cdorin Zoho Sprints Yes => |Yes|
2020-04-20 12:31 ollehar Assigned To => ollehar
2020-04-20 12:31 ollehar Status confirmed => assigned
2020-04-20 18:55 cdorin Relationship added has duplicate 16162
2020-04-30 17:26 ollehar Status assigned => feedback
2020-04-30 17:26 ollehar Note Added: 57503
2020-04-30 17:26 ollehar Note Added: 57504
2020-04-30 17:35 cdorin Note Added: 57505
2020-04-30 17:35 cdorin File Added: limesurvey_survey_784892.lss
2020-04-30 17:35 cdorin Status feedback => assigned
2020-04-30 17:36 cdorin Note Added: 57506
2020-05-05 13:49 ollehar Severity partial_block => crash
2020-05-05 13:49 ollehar Zoho Sprints Yes => |Yes|
2020-05-06 16:29 ollehar Status assigned => testing
2020-05-06 16:29 ollehar Complete LimeSurvey version number (& build) irrelevant => latest master
2020-05-13 08:46 result Note Added: 57719
2020-05-13 11:44 ollehar Note Added: 57737
2020-05-15 11:22 ollehar1 Changeset attached => LimeSurvey master efe07066
2020-05-15 11:22 ollehar1 Note Added: 57827
2020-05-15 11:24 swendrich Zoho Sprints Yes => |Yes|
2020-05-15 11:24 swendrich Status testing => resolved
2020-05-19 11:49 lime_release_bot Zoho Sprints Yes => |Yes|
2020-05-19 11:49 lime_release_bot Note Added: 57908
2020-05-19 11:49 lime_release_bot Status resolved => closed
2020-05-19 11:49 lime_release_bot Resolution open => fixed